/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package hu.elte.fsz2013;

import hu.elte.inf.fsz2013.CimTipus;
import hu.elte.inf.fsz2013.ListaElemTipus;
import hu.elte.inf.fsz2013.ListaValaszTipus;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import javax.ejb.Stateless;
import javax.jws.WebService;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/**
 *
 * @author menyhart
 */
@WebService(serviceName = "fsz-service_v1", portName = "fsz_v1", endpointInterface = "hu.elte.inf.fsz.webfejl4.FszPortV1", targetNamespace = "http://inf.elte.hu/fsz/webfejl4", wsdlLocation = "WEB-INF/wsdl/FszWs/lista.wsdl")
@Stateless
public class FszWs {

    public hu.elte.inf.fsz2013.ListaValaszTipus getLista(hu.elte.inf.fsz2013.ListaKeresTipus listaRq) {
        //TODO implement this method
        ListaValaszTipus ret = new ListaValaszTipus();
        //ListaElemTipus e=new ListaElemTipus();
        //e.setAzonosito(42);
        //ret.getListaElem().add(e);
        Connection conn = null;
        PreparedStatement pstmt = null;
        ResultSet rs = null;
        try {
            InitialContext ic = new InitialContext();
            DataSource ds = (DataSource) ic.lookup("jdbc/sample");
            conn = ds.getConnection();

            String sql = "select * from APP.CUSTOMER WHERE NAME LIKE '%" + listaRq.getNevResze() + "%'";

            pstmt = conn.prepareStatement(sql);
            rs = pstmt.executeQuery();
            while (rs.next()) {
                ListaElemTipus e = new ListaElemTipus();
                e.setAzonosito(rs.getInt("CUSTOMER_ID"));
                e.setNev(rs.getString("NAME"));
                e.setEmail(rs.getString("EMAIL"));
                CimTipus cim=new CimTipus();
                cim.setIrszam(rs.getString("ZIP"));
                cim.setTelepules(rs.getString("CITY"));
                e.setCim(cim);
                ret.getListaElem().add(e);
            }

        } catch (Exception ex) {
            ex.printStackTrace();
        } finally {
            if (conn != null) {
                try {
                    conn.close();
                } catch (Exception ex) {
                }
            }
            if (pstmt != null) {
                try {
                    pstmt.close();
                } catch (Exception ex) {
                }
            }
            if (rs != null) {
                try {
                    rs.close();
                } catch (Exception ex) {
                }
            }
        }

        return ret;
    }
}
